POST
Fund your own agent account with test collateral

Authorizations

Authorization
string
header
required

The authorization field takes the session bearer returned by sign-in, or an API key where the route allows keys. Paste the token itself into the authorization field.

Headers

Idempotency-Key
string
required
Minimum string length: 1

Path Parameters

accountId
string
required
Minimum string length: 1
agentAccountId
string
required
Pattern: ^aga_[0-9a-f]{32}$

Body

application/json
amount
string
required

The amount of test collateral to fund, in whole units of the environment's collateral, for example 50 or 12.5.

Pattern: ^(?:[1-9][0-9]{0,11}|0)(?:\.[0-9]{1,10})?$

Response

Success

version
string
required
Allowed value: "owner-agent-test-funding/v1"
fundingKind
string
required
Allowed value: "test_funding"
status
string
required
Allowed value: "funded"
replayed
boolean
required
agentAccountId
string
required
Pattern: ^aga_[0-9a-f]{32}$
environment
enum<string>
required
Available options:
local,
development,
staging
asset
enum<string>
required
Available options:
USD.E,
USDCx
decimals
integer
required
Required range: x >= 0
amount
string
required
amountAtoms
string
required
Pattern: ^\d+$
fundingId
string
required
Pattern: ^agent-funding:[a-f0-9]{64}$
depositId
string
required
Pattern: ^agent-deposit:[a-f0-9]{64}$
ledgerEventId
string
required
Required string length: 1 - 2048
ledgerOffset
string
required
Required string length: 1 - 2048
resultingBalance
string
required
Pattern: ^\d+\.\d+$
resultingBalanceAtoms
string
required
Pattern: ^\d+$
dailyLimitAtoms
string | null
required
Pattern: ^\d+$
dailyRemainingAtoms
string | null
required
Pattern: ^\d+$
dailyResetAtEpochMs
integer | null
required